## riseup-vpn 0.21.11+ds1

=== Makefile ===
#########################################################################
# Multiplatform build and packaging recipes for BitmaskVPN
# (c) LEAP Encryption Access Project, 2019-2021
#########################################################################

.PHONY: all get build icon locales generate_locales clean check_qtifw HAS-qtifw relink_vendor

XBUILD ?= no
RELEASE ?= no
QMAKE ?= qmake
LRELEASE ?= lrelease
SKIP_CACHECK ?= no
VENDOR_PATH ?= providers
APPNAME ?= $(shell VENDOR_PATH=${VENDOR_PATH} branding/scripts/getparam appname | tail -n 1)
TARGET ?= $(shell VENDOR_PATH=${VENDOR_PATH} branding/scripts/getparam binname | tail -n 1)
PROVIDER ?= $(shell grep ^'provider =' ${VENDOR_PATH}/vendor.conf | cut -d '=' -f 2 | cut -d ',' -f 1 | tr -d "[:space:]")
VERSION ?= $(shell git describe 2> /dev/null)
ifeq ($(VERSION),)
    VERSION := "unknown"
endif
WINCERTPASS ?= pass
OSXAPPPASS  ?= pass
OSXMORDORUID ?= uid

# go paths
GOPATH = $(shell go env GOPATH)
TARGET_GOLIB=lib/libgoshim.a
SOURCE_GOLIB=gui/backend.go

# detect OS
UNAME = $(shell uname -s)
ifeq ($(OS), Windows_NT)
PLATFORM = windows
else
PLATFORM ?= $(shell echo ${UNAME} | awk "{print tolower(\$$0)}")
endif

QTBUILD = build/qt
INSTALLER = build/installer
OSX_CERT="Developer ID Application: LEAP Encryption Access Project"
MACDEPLOYQT_OPTS = -appstore-compliant -always-overwrite -codesign="${OSX_CERT}"

ifeq ($(PLATFORM), darwin)
INST_ROOT =${INSTALLER}/packages/bitmaskvpn/data/
INST_DATA = ${INST_ROOT}/${APPNAME}.app/
else
INST_DATA = ${INSTALLER}/packages/bitmaskvpn/data/
endif

SCRIPTS = branding/scripts
TEMPLATES = branding/templates

TAP_WINDOWS = https://build.openvpn.net/downloads/releases/tap-windows-9.24.2-I601-Win10.exe 

ifeq ($(PLATFORM), windows)
HAS_QTIFW := $(shell which binarycreator.exe)
else
HAS_QTIFW := $(shell PATH=$(PATH) which binarycreator)
endif
OPENVPN_BIN = "$(HOME)/openvpn_build/sbin/$(shell grep OPENVPN branding/thirdparty/openvpn/build_openvpn.sh | head -n 1 | cut -d = -f 2 | tr -d '"')"


#########################################################################
# go build
#########################################################################

install_go:
	# the version of go in bionic is too old. let's get something newer from a ppa.
	@sudo apt install software-properties-common
	@sudo add-apt-repository ppa:longsleep/golang-backports
	@sudo apt-get update
	@sudo apt-get install golang-go

depends:
	-@${MAKE} depends$(UNAME)

dependsLinux:
	@sudo apt install golang pkg-config dh-golang golang-golang-x-text-dev cmake devscripts fakeroot debhelper curl g++ qt5-qmake qttools5-dev-tools qtdeclarative5-dev qml-module-qtquick-controls2 libqt5qml5 qtdeclarative5-dev qtquickcontrols2-5-dev libqt5svg5-dev qml-module-qt-labs-platform qml-module-qtquick-extras qml-module-qtquick-dialogs
	@${MAKE} -C docker deps
	@# debian needs also: snap install snapcraft --classic; snap install  multipass --beta --classic

dependsDarwin:
	@brew install git golang make qt5
	#@brew install --default-names gnu-sed
	@brew link qt5

dependsCYGWIN_NT-10.0:
	@echo
	@echo "==================================WARNING=================================="
	@echo "You need to install all dependencies manually, please see README.md!"
	@echo "==================================WARNING=================================="
	@echo

ifeq ($(PLATFORM), darwin)
EXTRA_FLAGS = MACOSX_DEPLOYMENT_TARGET=10.10 GOOS=darwin CC=clang
else
EXTRA_FLAGS =
endif

ifeq ($(PLATFORM), windows)
EXTRA_GO_LDFLAGS = "-H=windowsgui"
endif

ifeq ($(PLATFORM), windows)
PKGFILES = $(wildcard "pkg/*") # syntax err in windows with find 
else
PKGFILES = $(shell find pkg -type f -name '*.go')
endif

lib/%.a: $(PKGFILES)
	@XBUILD=no CC=${CC} CXX=${CXX} MAKE=${MAKE} AR=${AR} LD=${LD} ./gui/build.sh --just-golib

# FIXME move platform detection above! no place to uname here, just use $PLATFORM
#
MINGGW = 
ifeq ($(UNAME), MINGW64_NT-10.0)
MINGW = yes
endif
ifeq ($(UNAME), MINGW64_NT-10.0-19042)
MINGW = yes
endif

relink_vendor:
	@echo "============RELINK VENDOR============="
	@echo "PLATFORM: ${PLATFORM} (${UNAME})"
	@echo "VENDOR_PATH: ${VENDOR_PATH}"
	@echo "PROVIDER: ${PROVIDER}"
ifeq ($(PLATFORM), windows)
	@rm -rf providers/assets || true
ifeq ($(MINGW), yes)
ifeq ($(VENDOR_PATH), providers)
	@cp -r providers/${PROVIDER}/assets providers/assets || true
endif
endif # end mingw
ifeq ($(UNAME), CYGWIN_NT-10.0)
	@[ -L providers/assets ] || (CYGWIN=winsymlinks:nativestrict ln -s ${PROVIDER}/assets providers/assets)
endif # end cygwin
else # not windows: linux/osx
ifeq ($(VENDOR_PATH), providers)
	@unlink providers/assets || true
	@ln -s ${PROVIDER}/assets providers/assets || true
endif
endif
	@echo "============RELINK VENDOR============="

build_golib: lib/libgoshim.a

build_gui: build_golib relink_vendor
	@echo "==============BUILD GUI==============="
	@echo "TARGET: ${TARGET}"
	@echo "VENDOR_PATH: ${VENDOR_PATH}"
	@XBUILD=no CC=${CC} CXX=${CXX} MAKE=${MAKE} AR=${AR} LD=${LD} QMAKE=${QMAKE} LRELEASE=${LRELEASE} TARGET=${TARGET} VENDOR_PATH=${VENDOR_PATH} APPNAME=${APPNAME} gui/build.sh --skip-golib
	@echo "============BUILD GUI================="

build: build_helper build_gui

build_helper:
ifeq ($(PLATFORM), linux)
# no helper needed for linux, we use polkit/bitmask-root
else
	@echo "=============BUILDER HELPER==========="
	@echo "PLATFORM: ${PLATFORM}"
	@echo "APPNAME: ${APPNAME}"
	@echo "VERSION: ${VERSION}"
	@echo "EXTRA_GO_LDFLAGS: ${EXTRA_GO_LDFLAGS}"
	@mkdir -p build/bin/${PLATFORM}
	@go build -o build/bin/${PLATFORM}/bitmask-helper -ldflags "-X main.AppName=${APPNAME} -X main.Version=${VERSION} ${EXTRA_GO_LDFLAGS}" ./cmd/bitmask-helper/
	@echo "===========BUILDER HELPER============="
endif

build_openvpn:
	@[ -f $(OPENVPN_BIN) ] && echo "OpenVPN already built at" $(OPENVPN_BIN) || ./branding/thirdparty/openvpn/build_openvpn.sh

dosign:
ifeq (${PLATFORM}, windows)
	"c:\windows\system32\rcedit.exe" ${QTBUILD}/release/${TARGET}.exe --set-file-version ${VERSION}
	"c:\windows\system32\rcedit.exe" ${QTBUILD}/release/${TARGET}.exe --set-product-version ${VERSION}
	"c:\windows\system32\rcedit.exe" ${QTBUILD}/release/${TARGET}.exe --set-version-string CompanyName "LEAP Encryption Access Project"
	"c:\windows\system32\rcedit.exe" ${QTBUILD}/release/${TARGET}.exe --set-version-string FileDescription "${APPNAME}"
	"c:\windows\system32\signtool.exe" sign -debug -f "z:\leap\LEAP.pfx" -p ${WINCERTPASS} ${QTBUILD}/release/${TARGET}.exe
	# XXX need to deprecate helper and embrace interactive service
	cp build/bin/${PLATFORM}/bitmask-helper build/bin/${PLATFORM}/bitmask-helper.exe
	"c:\windows\system32\rcedit.exe" build/bin/${PLATFORM}/bitmask-helper.exe --set-file-version ${VERSION}
	"c:\windows\system32\rcedit.exe" build/bin/${PLATFORM}/bitmask-helper.exe --set-product-version ${VERSION}
	"c:\windows\system32\rcedit.exe" build/bin/${PLATFORM}/bitmask-helper.exe --set-version-string ProductName "bitmask-helper-v2"
	"c:\windows\system32\rcedit.exe" build/bin/${PLATFORM}/bitmask-helper.exe --set-version-string CompanyName "LEAP Encryption Access Project"
	"c:\windows\system32\rcedit.exe" build/bin/${PLATFORM}/bitmask-helper.exe --set-version-string FileDescription "Administrative helper for ${APPNAME}"
	"c:\windows\system32\signtool.exe" sign -debug -f "z:\leap\LEAP.pfx" -p ${WINCERTPASS} build/bin/${PLATFORM}/bitmask-helper.exe
endif

checksign:
ifeq (${PLATFORM}, windows)
	@"c:\windows\system32\sigcheck.exe" ${QTBUILD}/release/${TARGET}.exe
	@"c:\windows\system32\sigcheck.exe" build/bin/${PLATFORM}/bitmask-helper.exe
	@"c:\windows\system32\sigcheck.exe" "/c/Program Files/OpenVPN/bin/openvpn.exe"
endif

installer: check_qtifw checksign
	@mkdir -p ${INST_DATA}
	@cp -r ${TEMPLATES}/qtinstaller/packages ${INSTALLER}
	@cp -r ${TEMPLATES}/qtinstaller/installer.pro ${INSTALLER}
	@cp -r ${TEMPLATES}/qtinstaller/config ${INSTALLER}
	@cp ${VENDOR_PATH}/assets/icon.ico ${INSTALLER}/config/installer-icon.ico
	@cp ${VENDOR_PATH}/assets/icon.icns ${INSTALLER}/config/installer-icon.icns
	@cp ${VENDOR_PATH}/assets/installer-logo.png ${INSTALLER}/config/installer-logo.png
ifeq (${PLATFORM}, darwin)
	@mkdir -p ${INST_DATA}/helper
	@VERSION=${VERSION} VENDOR_PATH=${VENDOR_PATH} ${SCRIPTS}/gen-qtinstaller osx ${INSTALLER}
	@cp "${TEMPLATES}/osx/bitmask.pf.conf" ${INST_DATA}helper/bitmask.pf.conf
	@cp "${TEMPLATES}/osx/client.up.sh" ${INST_DATA}/
	@cp "${TEMPLATES}/osx/client.down.sh" ${INST_DATA}/
	@cp "${TEMPLATES}/qtinstaller/osx-data/post-install.py" ${INST_ROOT}/
	@cp "${TEMPLATES}/qtinstaller/osx-data/uninstall.py" ${INST_ROOT}/
	@cp "${TEMPLATES}/qtinstaller/osx-data/se.leap.bitmask-helper.plist" ${INST_DATA}
	@cp $(OPENVPN_BIN) ${INST_DATA}/openvpn.leap
	@cp build/bin/${PLATFORM}/bitmask-helper ${INST_DATA}/
ifeq (${RELEASE}, yes)
	@echo "[+] Running macdeployqt (release mode)"
	@macdeployqt ${QTBUILD}/release/${PROVIDER}-vpn.app -qmldir=gui/components ${MACDEPLOYQT_OPTS}
else
	@echo "[+] Running macdeployqt (debug mode)"
	@macdeployqt ${QTBUILD}/release/${PROVIDER}-vpn.app -qmldir=gui/components
endif
	@cp -r "${QTBUILD}/release/${TARGET}.app"/ ${INST_DATA}/
endif
ifeq (${PLATFORM}, windows)
	@VERSION=${VERSION} VENDOR_PATH=${VENDOR_PATH} ${SCRIPTS}/gen-qtinstaller windows ${INSTALLER}
	@cp build/bin/${PLATFORM}/bitmask-helper.exe ${INST_DATA}helper.exe
ifeq (${VENDOR_PATH}, providers)
	@cp ${VENDOR_PATH}/${PROVIDER}/assets/icon.ico ${INST_DATA}/icon.ico
else
	@cp ${VENDOR_PATH}/assets/icon.ico ${INST_DATA}/icon.ico
endif
	@cp ${QTBUILD}/release/${TARGET}.exe ${INST_DATA}${TARGET}.exe
	@cp "/c/Program Files/OpenVPN/bin/openvpn.exe" ${INST_DATA}
	@cp "/c/Program Files/OpenVPN/bin/"*.dll ${INST_DATA}
ifeq (${RELEASE}, yes)
	#@windeployqt --release --qmldir gui/components ${INST_DATA}${TARGET}.exe
	#FIXME -- cannot find platform plugin
	@windeployqt --qmldir gui/components ${INST_DATA}${TARGET}.exe
else
	@windeployqt --qmldir gui/components ${INST_DATA}${TARGET}.exe
endif
	# TODO stage it to shave some time
	@wget ${TAP_WINDOWS} -O ${INST_DATA}/tap-windows.exe
	# XXX this is a workaround for missing libs after windeployqt ---
	@cp /c/Qt/5.15.2/mingw81_64/bin/libgcc_s_seh-1.dll ${INST_DATA}
	@cp /c/Qt/5.15.2/mingw81_64/bin/libstdc++-6.dll ${INST_DATA}
	@cp /c/Qt/5.15.2/mingw81_64/bin/libwinpthread-1.dll ${INST_DATA}
	@cp -r /c/Qt/5.15.2/mingw81_64/qml ${INST_DATA}
endif
ifeq (${PLATFORM}, linux)
	@VERSION=${VERSION} ${SCRIPTS}/gen-qtinstaller linux ${INSTALLER}
endif
	@echo "[+] All templates, binaries and libraries copied to build/installer."
	@echo "[+] Now building the installer."
	@cd build/installer && ${QMAKE} VENDOR_PATH=${VENDOR_PATH} INSTALLER=${APPNAME}-installer-${VERSION} && ${MAKE}

sign_installer:
ifeq (${PLATFORM}, windows)
	# TODO add flag to skip signing for regular builds
	"c:\windows\system32\signtool.exe" sign -f "z:\leap\LEAP.pfx" -p ${WINCERTPASS} build/installer/${APPNAME}-installer-${VERSION}.exe
endif
ifeq (${PLATFORM}, darwin)
	gsed -i "s/com.yourcompany.installerbase/se.leap.bitmask.${TARGET}/g" build/installer/${APPNAME}-installer-${VERSION}.app/Contents/Info.plist
	codesign -s ${OSX_CERT} --options "runtime" build/installer/${APPNAME}-installer-${VERSION}.app
	ditto -ck --rsrc --sequesterRsrc build/installer/${APPNAME}-installer-${VERSION}.app build/installer/${APPNAME}-installer-${VERSION}.zip
endif

notarize_all:
	APPNAME=${APPNAME} VERSION=${VERSION} TARGET=${TARGET} OSXAPPPASS=${OSXAPPPASS} branding/scripts/osx-stapler.sh

# --------------------
# TODO test and remove

notarize_installer:
# courtesy of https://skyronic.com/2019/07/app-notarization-for-qt-applications/
ifeq (${PLATFORM}, darwin)
	xcrun altool --notarize-app -t osx -f build/installer/${APPNAME}-installer-${VERSION}.zip --primary-bundle-id="se.leap.bitmask.${TARGET}" -u "info@leap.se" -p ${OSXAPPPASS}
endif

notarize_check:
ifeq (${PLATFORM}, darwin)
	xcrun altool --notarization-info ${OSXMORDORUID} -u "info@leap.se" -p ${OSXAPPPASS}
endif

notarize_staple:
ifeq (${PLATFORM}, darwin)

=== branding/templates/makefile/Makefile ===
#########################################
# (c) LEAP Encryption Access Project 2018
include vendor.mk
#########################################

#
# TODO review some of these targets, can go in the parent makefile
# 

SYSTRAY := 0xacab.org/leap/bitmask-vpn
STAGING := staging
SYSTRAY_BIN := bitmask-vpn
HELPER_BIN := bitmask_helper
BUILD_RELEASE?=no
WIN_CERT_PATH?=z:\leap\LEAP.pfx
WIN_CERT_PASS?=
OSX_CERT = "Developer ID Installer: LEAP Encryption Access Project"
DEB_VERSION = $(shell echo ${VERSION} | cut -d '-' -f 1,2)

ifeq ($(OS),Windows_NT)     # is Windows_NT on XP, 2000, 7, Vista, 10...
SYSTEM = Windows
else
SYSTEM = $(shell uname -s)
endif


# -----------------------------------------------------------------------------
# Windows 
# -----------------------------------------------------------------------------
ifeq ($(SYSTEM), Windows)
pkg_win: staging\openvpn\openvpn.exe
	echo "[+] building windows"
	copy ..\bin\bitmask-vpn staging\bitmask-vpn.exe
	copy ..\bin\bitmask-helper staging\bitmask_helper.exe
	"C:\Program Files (x86)\NSIS\makensis.exe" windows/$(APPNAME)-installer.nsi
else
pkg_win_stage_1: staging/openvpn/openvpn.exe
	echo "[+] building windows [stage1]"
	cp ../bin/windows/bitmask-vpn staging/bitmask-vpn.exe
	cp ../bin/windows/bitmask-helper-go staging/helper.exe
	touch windows/uninstall.exe
	makensis -DUNINSTALLER windows/$(APPNAME)-installer.nsi
	mv dist/produce-bitmask-uninstaller.exe ../../deploy/

pkg_win_stage_2: staging/openvpn/openvpn.exe
	echo "[+] building windows [stage2]"
	cp ../bin/windows/bitmask-vpn staging/bitmask-vpn.exe
	cp ../bin/windows/bitmask-helper-go staging/helper.exe
	cp ../windows/staging/uninstall-signed.exe windows/uninstall.exe
	makensis windows/$(APPNAME)-installer.nsi
	mv dist/$(APPNAME)-$(VERSION).exe ../../deploy/
endif

sign_win:
	echo "[+] signing windows build"
	python windows/sign.py $(WIN_CERT_PATH) $(WIN_CERT_PASS)

# -----------------------------------------------------------------------------
# OSX
# -----------------------------------------------------------------------------

pkg_osx:
	echo "[+] Building osx package..."
	cp ../bin/darwin/bitmask-vpn dist/$(APPNAME).app/Contents/MacOS/
	cp ../bin/darwin/bitmask-helper dist/$(APPNAME).app/Contents/MacOS/
	cp $(STAGING)/openvpn-osx dist/$(APPNAME).app/Contents/Resources/openvpn.leap
	chmod +x dist/$(APPNAME).app/Contents/Resources/openvpn.leap
ifeq ($(SYSTEM), Darwin)
	osx/quickpkg --output dist/$(APPNAME)-$(VERSION)_unsigned.pkg --scripts osx/scripts/ dist/$(APPNAME).app/
	@if [ $(BUILD_RELEASE) = no ]; then\
		echo "[!] BUILD_RELEASE=no, skipping signature";\
	else\
		echo "[+] Signing the bundle";\
		productsign --sign $(OSX_CERT) dist/$(APPNAME)-$(VERSION)_unsigned.pkg dist/$(APPNAME)-$(VERSION).pkg;\
	fi
else
	cd osx && APPNAME=$(APPNAME) VERSION=$(VERSION) ./cross-quickpkg
endif
	mv dist/$(APPNAME)-$(VERSION)*.pkg ../../deploy/

# -----------------------------------------------------------------------------
# Linux 
# -----------------------------------------------------------------------------

pkg_snap:
	-@mkdir -p ../../deploy
	@echo "[+] building snap..."
	cd ../..; \
	snapcraft build; \
	snapcraft snap
	-@rm ../../snap
	@mv ../../$(BINNAME)* ../../deploy

pkg_deb:
	echo "[+] building debian package version" ${DEB_VERSION}
	-@mkdir -p ../../deploy
	@if [ $(BUILD_RELEASE) = no ]; then\
		dch -v $(VERSION) -M "debian package generated from the git repository" && echo "[!] BUILD_RELEASE=no, incrementing changelog";\
	else\
		echo "[!] BUILD_RELEASE";\
	fi
	@mkdir -p build 
	# bitmask-vpn tar.gz should be placed in parent forlder after doing 'make prepare' with the
	# bitmask-vpn topmost Makefile.
	@cp ../bitmask-vpn_$(VERSION).tgz build/$(BINNAME)_${DEB_VERSION}.orig.tar.gz
	@rm -rf build/${BINNAME}_${DEB_VERSION} build/bitmask-vpn_${VERSION}-src
	@cd build && tar xzf $(BINNAME)_${DEB_VERSION}.orig.tar.gz && mv bitmask-vpn_${VERSION}-src ${BINNAME}_${DEB_VERSION}
	@cp -r debian/ build/$(BINNAME)_$(DEB_VERSION)/
	@cd build/$(BINNAME)_$(DEB_VERSION) && debuild -us -uc
	@mv build/*.deb ../../deploy

# -----------------------------------------------------------------------------
# Utils
# -----------------------------------------------------------------------------

clean:
	rm -rf dist/ build/

staging\openvpn\openvpn.exe:
	if not exist staging\openvpn mkdir staging\openvpn
	wget https://build.openvpn.net/downloads/releases/latest/tap-windows-latest-stable.exe -O staging/openvpn/tap-windows.exe
# eventually, this should be built statically and cross compiled in the same pipeline that we build the installer. 
	wget https://downloads.leap.se/thirdparty/windows/openvpn-x86_64-w64-mingw32.tar.bz2 -O staging/openvpn/openvpn.tar.bz2
	7z e -y -ostaging/openvpn/ staging/openvpn/openvpn.tar.bz2
	7z e -y -r -ostaging/openvpn/ staging/openvpn/openvpn.tar *.dll
	7z e -y -r -ostaging/openvpn/ staging/openvpn/openvpn.tar *.exe
	copy .\staging\openvpn\openvpn.exe .\staging
	copy .\staging\openvpn\*.dll .\staging
staging/openvpn/openvpn.exe:
	@mkdir -p staging/openvpn
	wget https://build.openvpn.net/downloads/releases/latest/tap-windows-latest-stable.exe -O $(STAGING)/openvpn/tap-windows.exe
	wget https://downloads.leap.se/thirdparty/windows/openvpn-x86_64-w64-mingw32.tar.bz2 -O $(STAGING)/openvpn/openvpn.tar.bz2
	@tar xjf $(STAGING)/openvpn/openvpn.tar.bz2 -C $(STAGING)/openvpn/
	cp $(STAGING)/openvpn/bin/openvpn.exe $(STAGING)/openvpn
	cp $(STAGING)/openvpn/bin/*.dll $(STAGING)
	cp $(STAGING)/openvpn/lib/engines-1_1/*.dll $(STAGING)

## riseup-vpn 0.21.11+ds

=== debian/changelog ===
riseup-vpn (0.21.11+ds-4) unstable; urgency=high

  * Add/Install .desktop for riseup-vpn
  * d/control:
    + Add depends also on qml-module-qtquick-controls
    (Closes: #1014742)
    + Fix VCS URLs (Closes: #1016166)
    + Change section to net (Closes: #1014798)
  * Skip test doing post http req (Closes: #1016310)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 03 Aug 2022 12:38:10 +0530

riseup-vpn (0.21.11+ds-3) unstable; urgency=medium

  * Source-only Upload.
  * d/salsa-ci.yml: Disable blhc and reprotest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Jul 2022 23:12:00 +0530

riseup-vpn (0.21.11+ds-2) unstable; urgency=medium

  * Also mention GPL-2+ for qml files

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Jul 2022 20:59:05 +0530

riseup-vpn (0.21.11+ds-1) unstable; urgency=medium

  * Initial release (Closes: #919937)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Jun 2022 21:15:30 +0530

=== debian/control ===
Source: riseup-vpn
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-protonmail-go-autostart-dev,
               golang-github-google-uuid-dev,
               golang-github-gopherjs-gopherjs-dev,
               golang-github-jtolds-gls-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-cpuid-dev,
               golang-github-klauspost-reedsolomon-dev,
               golang-github-mmcloughlin-avo-dev,
               golang-github-pkg-errors-dev,
               golang-github-rakyll-statik-dev,
               golang-github-smartystreets-assertions-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-sevlyar-go-daemon-dev,
               golang-github-tjfoc-gmsm-dev,
               golang-github-xtaci-kcp-dev,
               golang-github-xtaci-smux-dev,
               golang-goptlib-dev,
               golang-github-cretz-bine-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-xerrors-dev,
               golang-github-pion-webrtc.v3-dev,
               qt5-qmake,
               qttools5-dev-tools,
               qtbase5-dev,
               libqt5qml5,
               libqt5quick5,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               libqt5svg5-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
Homepage: https://0xacab.org/leap/bitmask-vpn
Rules-Requires-Root: no
XS-Go-Import-Path: 0xacab.org/leap/bitmask-vpn

Package: riseup-vpn
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3:any,
         libqt5core5a,
         libqt5gui5 | libqt5gui5-gles,
         libqt5qml5,
         libqt5widgets5,
         qml-module-qtquick2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         qml-module-qt-labs-platform,
         openvpn,
         policykit-1-gnome | polkit-1-auth-agent
Description: Easy, fast, and secure VPN service from riseup.net
 Riseup offers Personal VPN service for censorship circumvention,
 location anonymization and traffic encryption. To make this possible, it
 sends all user's internet traffic through an encrypted connection to
 riseup.net, where it then goes out onto the public internet.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export GOCACHE=/tmp/gocache
export DH_GOLANG_INSTALL_EXTRA=Makefile gui tests vendor/modules.txt branding providers bitmask.pro test.pro
export BUILDDIR=_build/src/0xacab.org/leap/bitmask-vpn/
export GOPATH = ${CURDIR}/_build:/usr/share/gocode
export GO111MODULE := off

include /usr/share/dpkg/pkg-info.mk

VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds//' -e 's/r/\./')

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	rm -f $(CURDIR)/pkg/motd/motd_test.go $(CURDIR)/pkg/vpn/bonafide/bonafide_test.go $(CURDIR)/pkg/vpn/bonafide/gateways_test.go

override_dh_auto_build:
	cd $(BUILDDIR) && $(MAKE) build VERSION=$(VERSION)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Qmake test
	cd $(BUILDDIR) && qmake test.pro -o tests/Makefile.test && \
	cd tests && $(MAKE) -f Makefile.test && $(MAKE) -f Makefile.test clean
	# Golang test
	DH_GOLANG_EXCLUDES=gui dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

## riseup-vpn 0.21.11+ds1

=== debian/changelog ===
riseup-vpn (0.21.11+ds1-5+deb12u1) bookworm; urgency=medium

  * Add patch to fixup client verification problems with
    riseup-vpn which renders the package useless otherwise.
    At the moment, the current code is unable to identify the
    letsencrypt certs. Used a systempool for the same and create
    a newcertpool as a fallback. Also added a Depends in d/control
    for ca-certificates for the same reason.
    (Closes: #1070270)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 20:13:39 +0530

riseup-vpn (0.21.11+ds1-5) unstable; urgency=medium

  * Add procps, iproute2 and iptables to Depends (Closes: #1031905)
  * Add depends on pkexec as well

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Mar 2023 09:51:22 +0530

riseup-vpn (0.21.11+ds1-4) unstable; urgency=medium

  * Capitalize desktop name
  * Re-build with newer snowflake package

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Feb 2023 11:08:11 +0530

riseup-vpn (0.21.11+ds1-3) unstable; urgency=high

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add more polkit proc strings to get riseup-vpn working
    in more desktop environments (Closes: #1028201)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Feb 2023 08:39:24 +0530

riseup-vpn (0.21.11+ds1-2) unstable; urgency=medium

  * Add patch to fix riseup-vpn on non-EN locales
    (Closes: #1014923)
  * Add "Built-Using" to track go-based deps
  * Fix files with cme
    + Add description to patches
    + Add testsuite autopkgtest-pkg-go
    + Re-order fields properly

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 23:00:04 +0530

riseup-vpn (0.21.11+ds1-1) unstable; urgency=medium

  * Add d/gbp.conf
  * Repack snowflake, templexxx and agl/ed25519 libs, use
    the ones present in archive
  * d/rules: Prune out ds1 for correct version

 -- Nilesh Patra <nilesh@debian.org>  Mon, 29 Aug 2022 14:13:25 +0530

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: net
+Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-ed25519-dev,
                golang-github-protonmail-go-autostart-dev,
                golang-github-google-uuid-dev,
                golang-github-gopherjs-gopherjs-dev,
@@ -30,6 +32,7 @@
                golang-golang-x-tools-dev,
                golang-golang-x-xerrors-dev,
                golang-github-pion-webrtc.v3-dev,
+               golang-snowflake-dev,
                qt5-qmake,
                qttools5-dev-tools,
                qtbase5-dev,
@@ -38,7 +41,7 @@
                qtdeclarative5-dev,
                qtquickcontrols2-5-dev,
                libqt5svg5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
 Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
 Homepage: https://0xacab.org/leap/bitmask-vpn
@@ -49,6 +52,11 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ca-certificates,
+         iproute2,
+         iptables,
+         pkexec,
+         procps,
          python3:any,
          libqt5core5a,
          libqt5gui5 | libqt5gui5-gles,
@@ -62,6 +70,7 @@
          qml-module-qt-labs-platform,
          openvpn,
          policykit-1-gnome | polkit-1-auth-agent
+Built-Using: ${misc:Built-Using}
 Description: Easy, fast, and secure VPN service from riseup.net
  Riseup offers Personal VPN service for censorship circumvention,
  location anonymization and traffic encryption. To make this possible, it

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds//' -e 's/r/\./')
+VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds1//' -e 's/r/\./')
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## riseup-vpn 0.24.5+ds1

=== debian/changelog ===
riseup-vpn (0.24.5+ds1-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 12:42:50 +1000

riseup-vpn (0.24.5+ds1-2) unstable; urgency=medium

  * d/control: Bump minimum version of golang-go
  * Add Depends on libqt6svg6
  * Add Recommends on qt6-wayland

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 21:53:35 +0530

riseup-vpn (0.24.5+ds1-1) unstable; urgency=medium

  * New upstream version 0.24.5+ds1 (Rebase patches)
    Closes: #1070270
  * Exclude more vendored stuff, update copyrights
  * Update copyright, remove superfluous licenses
  * Update d/install to install helpers from non-symlinks
  * Update d/rules to
    + Use changed location of qmake and lrelease
    + Update PROVIDER and TARGET
    + Add some non-included files via DH_GOLANG_INSTALL_EXTRA
  * Update builddeps and Depends to qt6 variants.
  * Take up upstream patch to fixup package with qt 6.4
  * Add qml6-module-qt5compat-graphicaleffects to depends

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 19:17:51 +0530

riseup-vpn (0.21.11+ds1-5.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Matthias Klose ]
  * Drop hard-coded dependencies on shared libraries, ${shlibs:Depends}
    is working these days. (Closes: #1068433)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 22:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: riseup-vpn
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.20~),
                golang-ed25519-dev,
                golang-github-protonmail-go-autostart-dev,
                golang-github-google-uuid-dev,
@@ -21,6 +22,7 @@
                golang-github-smartystreets-assertions-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-sevlyar-go-daemon-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-tjfoc-gmsm-dev,
                golang-github-xtaci-kcp-dev,
                golang-github-xtaci-smux-dev,
@@ -32,15 +34,17 @@
                golang-golang-x-tools-dev,
                golang-golang-x-xerrors-dev,
                golang-github-pion-webrtc.v3-dev,
+               golang-gitlab-yawning-edwards25519-extra-dev,
                golang-snowflake-dev,
-               qt5-qmake,
-               qttools5-dev-tools,
-               qtbase5-dev,
-               libqt5qml5,
-               libqt5quick5,
-               qtdeclarative5-dev,
-               qtquickcontrols2-5-dev,
-               libqt5svg5-dev
+               qmake6,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-declarative-dev-tools,
+               libqt6quickcontrols2-6,
+               qt6-svg-dev,
+               qt6-l10n-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
 Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
@@ -58,19 +62,21 @@
          pkexec,
          procps,
          python3:any,
-         libqt5core5a,
-         libqt5gui5 | libqt5gui5-gles,
-         libqt5qml5,
-         libqt5widgets5,
-         qml-module-qtquick2,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-controls,
-         qml-module-qtquick-dialogs,
-         qml-module-qtquick-extras,
-         qml-module-qt-labs-platform,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
+         qml6-module-qtquick-layouts,
+         qml6-module-qtqml-workerscript,
+         qml6-module-qtquick-templates,
+         qml6-module-qtquick-window,
+         qml6-module-qt-labs-settings,
+         qml6-module-qt-labs-platform,
+         qml6-module-qt5compat-graphicaleffects,
+         libqt6svg6,
          openvpn,
          policykit-1-gnome | polkit-1-auth-agent
 Built-Using: ${misc:Built-Using}
+Recommends: qt6-wayland
 Description: Easy, fast, and secure VPN service from riseup.net
  Riseup offers Personal VPN service for censorship circumvention,
  location anonymization and traffic encryption. To make this possible, it

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export GOCACHE=/tmp/gocache
export DH_GOLANG_INSTALL_EXTRA=Makefile gui tests vendor/modules.txt branding providers bitmask.pro test.pro helpers pkg/pickle/helpers providers
export BUILDDIR=_build/src/0xacab.org/leap/bitmask-vpn/
export GOPATH = ${CURDIR}/_build:/usr/share/gocode
export GO111MODULE := off

include /usr/share/dpkg/pkg-info.mk

VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds.*//' -e 's/r/\./')

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	rm -f $(CURDIR)/pkg/motd/motd_test.go $(CURDIR)/pkg/vpn/bonafide/bonafide_test.go $(CURDIR)/pkg/vpn/bonafide/gateways_test.go

override_dh_auto_build:
	cd $(BUILDDIR) && $(MAKE) build VERSION=$(VERSION) LRELEASE=/usr/lib/qt6/bin/lrelease QMAKE=/usr/bin/qmake6 PROVIDER=riseup TARGET=riseup-vpn

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Qmake test
	cd $(BUILDDIR) && qmake6 test.pro -o tests/Makefile.test && \
	cd tests && $(MAKE) -f Makefile.test && $(MAKE) -f Makefile.test clean
	# Golang test
	DH_GOLANG_EXCLUDES=gui dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

## riseup-vpn 0.24.8+ds2

=== debian/changelog ===
riseup-vpn (0.24.8+ds2-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * Drop no longer used Build-Depends on golang-ed25519-dev.

  [ Nilesh Patra ]
  * Update minimum version of rs-zerolog

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 09:36:09 +0100

riseup-vpn (0.24.8+ds2-1) unstable; urgency=medium

  * New upstream version 0.24.8+ds2
  * Also generate the json as per providers
  * Exclude/Repack more packages
  * Update patches
  * Do not clean a needed file
  * Ignore integration tests during build
  * Drop QT6.4 patch
    + Drop dep on qt5 libs, move to qml6-module-qtquick-effects

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Aug 2024 00:09:44 +0530

=== debian/control ===
Source: riseup-vpn
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.20~),
               golang-github-coreos-bbolt-dev,
               golang-github-cretz-bine-dev,
               golang-github-go-openapi-errors-dev,
               golang-github-go-openapi-runtime-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-google-uuid-dev,
               golang-github-gopherjs-gopherjs-dev,
               golang-github-jtolds-gls-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-cpuid-dev,
               golang-github-klauspost-reedsolomon-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mmcloughlin-avo-dev,
               golang-github-pion-webrtc.v3-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-community-pro-bing-dev,
               golang-github-protonmail-go-autostart-dev,
               golang-github-rakyll-statik-dev,
               golang-github-rs-zerolog-dev (>= 1.29.1-1~),
               golang-github-sevlyar-go-daemon-dev,
               golang-github-smartystreets-assertions-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tjfoc-gmsm-dev,
               golang-github-xtaci-kcp-dev,
               golang-github-xtaci-smux-dev,
               golang-gitlab-yawning-edwards25519-extra-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-xerrors-dev,
               golang-goptlib-dev,
               golang-snowflake-dev,
               libqt6quickcontrols2-6,
               qmake6,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-dev-tools,
               qt6-l10n-tools,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
Homepage: https://0xacab.org/leap/bitmask-vpn
Rules-Requires-Root: no
XS-Go-Import-Path: 0xacab.org/leap/bitmask-vpn

Package: riseup-vpn
Architecture: any
Depends: ca-certificates,
         iproute2,
         iptables,
         libqt6svg6,
         openvpn,
         pkexec,
         policykit-1-gnome | polkit-1-auth-agent,
         procps,
         python3:any,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-effects,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: qt6-wayland
Description: Easy, fast, and secure VPN service from riseup.net
 Riseup offers Personal VPN service for censorship circumvention,
 location anonymization and traffic encryption. To make this possible, it
 sends all user's internet traffic through an encrypted connection to
 riseup.net, where it then goes out onto the public internet.

## riseup-vpn 0.24.10~nobletrisquel1

=== debian/changelog ===
riseup-vpn (0.24.10~nobletrisquel1) ecne; urgency=medium

  * Backported stable maintained package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Sep 2025 04:54:42 +0000

riseup-vpn (0.24.10~noble) noble; urgency=medium

  * riseup-vpn release 0.24.10
  * Reduces the size of splash screen image
  * Disable obfs4 and kcp checkbox in preferences for riseup
  * Removes duplicate languages in the language picker in preferences
  * Language picker in preferences shows languages sorted alphabetically
  * Updates translation files
  * Adds region to language selections menu when available
  * Improves UI responsiveness when connect or disconnect fails
  * Disable automatic openvpn connection during app start
  * Fixes a local privilege escalation security bug when using "--install-helpers"
  * Change bitmask branded app name to Bitmask from BitmaskVPN
  * Fixes bug where MOTD message box was not shown for RiseupVPN
  * Show bridge icon when KCP transport is selected
  * Show license page during installation
  * Uninstalls previous version before installing current version
  * Adds accessibility hints to connection button
  * Exposes KCP support in the UI
  * Adds new bitmask-vpn package for Arch Linux
  * Fixes a bug preventing use of the app by non-admin users on windows
  * Fixes a bug on macOS preventing users from manual location selection
  * Fixes a bug where the app's close routine was called twice
  * Fixes a bug where log file was not closed while quitting the app
  * Fixes a bug where the correct app name was not shown in installer error messages
  * Updates to latest obfsvpn
  * Updates to latest bitmask-core
  * Updates translation files
  * Adds missing iptables dependency to ubuntu package

 -- LEAP Encryption Access Project  <debian@leap.se>  Fri, 04 Oct 2024 09:16:36 +0200

riseup-vpn (0.24.8~noble) noble; urgency=medium

  * Reduces the size of splash screen image
  * Disable obfs4 and kcp checkbox in preferences for riseup
  * Removes duplicate languages in the language picker in preferences
  * Language picker in preferences shows languages sorted alphabetically
  * Updates translation files
  * Adds region to language selections menu when available
  * Improves UI responsiveness when connect or disconnect fails
  * Disable automatic openvpn connection during app start
  * Fixes a local privilege escalation security bug when using
    "--install-helpers"
  * Change bitmask branded app name to Bitmask from BitmaskVPN
  * Fixes bug where MOTD message box was not shown for RiseupVPN
  * Show bridge icon when KCP transport is selected
  * Show license page during installation
  * Uninstalls previous version before installing current version
  * Adds accessibility hints to connection button
  * Exposes KCP support in the UI
  * Adds new bitmask-vpn package for Arch Linux
  * Fixes a bug preventing use of the app by non-admin users on windows
  * Fixes a bug on macOS preventing users from manual location selection
  * Fixes a bug where the app's close routine was called twice
  * Fixes a bug where log file was not closed while quitting the app
  * Fixes a bug where the correct app name was not shown in installer error
    messages
  * Updates to latest obfsvpn
  * Updates to latest bitmask-core
  * Updates translation files
  * Adds missing iptables dependency to ubuntu package

 -- LEAP Encryption Access Project <debian@leap.se>  Fri, 04 Oct 2024 09:16:36 +0200

riseup-vpn (0.24.5-3-geb2df9a~noble) noble; urgency=medium

  * fixes missing dependencies on .deb package
  * Shorten too long strings in translations
  * Connection status text width trimmed to be inside parent container
  * Update GUI to Qt6
  * Fixes a bug where after using obfs4 it was impossible to gracefully close the app

 -- LEAP Encryption Access Project <debian@leap.se>  Sun, 19 May 2024 11:54:54 +0530

=== debian/control ===
Source: riseup-vpn
Section: net
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (= 12), golang (>= 1.22), make (>=3.80), pkg-config, g++ (>= 4:4.6.3), git,
        libqt6svg6-dev, qt6-tools-dev, qt6-tools-dev-tools, qt6-base-dev, libqt6qml6, qt6-declarative-dev,
        dh-golang, libgl-dev, qt6-declarative-dev-tools, qt6-l10n-tools, python3
Standards-Version: 4.4.1
Homepage: https://0xacab.org/leap/bitmask-vpn

Package: riseup-vpn
Architecture: any
Multi-Arch: foreign
Enhances: openvpn
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt6core6, libqt6gui6, libqt6qml6, libqt6widgets6, libstdc++6,
        libqt6svg6, qml6-module-qtquick, qml6-module-qtquick-controls, qml6-module-qtquick-dialogs,
        qml6-module-qtquick-layouts, qml6-module-qtqml-workerscript, qml6-module-qtquick-templates, qml6-module-qt-labs-settings,
        qml6-module-qtquick-window, qml6-module-qt-labs-platform, qml6-module-qtcore, qml6-module-qt5compat-graphicaleffects,
        openvpn, policykit-1-gnome | polkit-1-auth-agent, python3, iptables
Description: Easy, fast, and secure VPN service from riseup.
 This package is a custom build of the new Bitmask VPN client, preconfigured
 to use the riseup.net provider.
 .
 The service does not require a user account, keep logs, or track you in any
 way. The service is paid for entirely by donations from users.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This has to be exported to make some magic below work.
export DH_OPTIONS
export GO111MODULE=on
export GOCACHE=/tmp/gocache

export DH_GOPKG = 0xacab.org/leap/bitmask-vpn
export DH_GOLANG_EXCLUDES := vendor packages tools cmd/bitmask-helper cmd/bitmask-connect

export PATH := $(shell qmake6 -query "QT_INSTALL_BINS"):$(PATH)

export PROVIDER=riseup
export VENDOR_PATH=providers

#dh_golang doesn't do this for you

ifeq ($(DEB_HOST_ARCH), i386)
        export GOARCH := 386
else ifeq ($(DEB_HOST_ARCH), amd64)
        export GOARCH := amd64
else ifeq ($(DEB_HOST_ARCH), armhf)
        export GOARCH := arm
else ifeq ($(DEB_HOST_ARCH), arm64)
        export GOARCH := arm64
endif


# TODO get the static version that gen_pkg generated instead??
VERSION = debian-$(shell git describe --tags --always)
APPNAME = riseup-vpn

%:
	dh $@ --with golang --buildsystem golang

override_dh_auto_test:

override_dh_auto_build:
	make gen_providers_json
	make build

override_dh_install:
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/bin
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/sbin
	cp $(CURDIR)/pkg/pickle/helpers/bitmask-root $(CURDIR)/debian/${APPNAME}/usr/sbin/
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/share/polkit-1/actions
	cp $(CURDIR)/helpers/se.leap.bitmask.policy $(CURDIR)/debian/${APPNAME}/usr/share/polkit-1/actions
	cp build/qt/release/${APPNAME} $(CURDIR)/debian/${APPNAME}/usr/bin/${APPNAME}
	strip $(CURDIR)/debian/${APPNAME}/usr/bin/${APPNAME}
	dh_install

override_dh_dwz:
	echo "skipping dh_dwz"

## riseup-vpn 0.24.10%2Bds1

=== debian/control ===
Source: riseup-vpn
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.20~),
               golang-github-lucas-clemente-quic-go-dev (>= 0.46.0-2~),
               golang-github-coreos-bbolt-dev,
               golang-github-cretz-bine-dev,
               golang-github-go-openapi-errors-dev,
               golang-github-go-openapi-runtime-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-google-uuid-dev,
               golang-github-gopherjs-gopherjs-dev,
               golang-github-jtolds-gls-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-cpuid-dev,
               golang-github-klauspost-reedsolomon-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mmcloughlin-avo-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-pion-webrtc.v3-dev,
               golang-github-pion-stun-dev (>= 0.6.1-1~),
               golang-github-pkg-errors-dev,
               golang-github-prometheus-community-pro-bing-dev,
               golang-github-protonmail-go-autostart-dev,
               golang-github-rakyll-statik-dev,
               golang-github-rs-zerolog-dev (>= 1.29.1-1~),
               golang-github-sevlyar-go-daemon-dev,
               golang-github-smartystreets-assertions-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tjfoc-gmsm-dev,
               golang-github-xtaci-kcp-dev,
               golang-github-xtaci-smux-dev,
               golang-gitlab-yawning-edwards25519-extra-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-xerrors-dev,
               golang-goptlib-dev,
               golang-snowflake-dev,
               libqt6quickcontrols2-6,
               qmake6,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-dev-tools,
               qt6-l10n-tools,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
Homepage: https://0xacab.org/leap/bitmask-vpn
Rules-Requires-Root: no
XS-Go-Import-Path: 0xacab.org/leap/bitmask-vpn

Package: riseup-vpn
Architecture: any
Depends: ca-certificates,
         iproute2,
         iptables,
         libqt6svg6,
         openvpn,
         pkexec,
         policykit-1-gnome | polkit-1-auth-agent,
         procps,
         python3:any,
         qml6-module-qtcore,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-effects,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: qt6-wayland
Description: Easy, fast, and secure VPN service from riseup.net
 Riseup offers Personal VPN service for censorship circumvention,
 location anonymization and traffic encryption. To make this possible, it
 sends all user's internet traffic through an encrypted connection to
 riseup.net, where it then goes out onto the public internet.
